VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ProcessContextCheck Class Reference

`#include <processcontextcheck.h>`

## Public Member Functions
| ProcessContextCheck ()
void | setEventLogger (EventLogger *eventLogger)
void | setSampleRate (double sampleRate)
void | check (Steinberg::Vst::ProcessContext *context)

## Protected Attributes
EventLogger * | mEventLogger
double | mSampleRate
Steinberg::int64 | mLastSystemTime {0}

## Constructor & Destructor Documentation

## ◆ ProcessContextCheck()

ProcessContextCheck | ( |  | ) |

## Member Function Documentation

## ◆ setEventLogger()

void setEventLogger | ( | EventLogger * | eventLogger | ) |

## ◆ setSampleRate()

void setSampleRate | ( | double | sampleRate | ) |

## ◆ check()

void check | ( | Steinberg::Vst::ProcessContext * | context | ) |

## Member Data Documentation

## ◆ mEventLogger

EventLogger* mEventLogger
| protected

## ◆ mSampleRate

double mSampleRate
| protected

## ◆ mLastSystemTime

Steinberg::int64 mLastSystemTime {0}
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.